package eu.jonahbauer.json;

import org.jetbrains.annotations.NotNull;

import java.util.List;
import java.util.Map;

class Util {
    private static final @NotNull Class<?> LIST_1_2 = List.of(1).getClass();
    private static final @NotNull Class<?> LIST_N = List.of(1, 2, 3).getClass();
    private static final @NotNull Class<?> MAP_1 = Map.of(1, 2).getClass();
    private static final @NotNull Class<?> MAP_N = Map.of(1, 2, 3, 4).getClass();

    public static boolean isImmutable(@NotNull List<?> list) {
        return LIST_1_2.isInstance(list) || LIST_N.isInstance(list);
    }

    public static boolean isImmutable(@NotNull Map<?, ?> map) {
        return MAP_1.isInstance(map) || MAP_N.isInstance(map);
    }
}
