package eu.jonahbauer.json.parser;

import eu.jonahbauer.json.JsonValue;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@SuppressWarnings("java:S6548")
public enum JsonProcessor implements StringTemplate.Processor<@Nullable JsonValue, RuntimeException> {
    JSON;

    @Override
    public @Nullable JsonValue process(@NotNull StringTemplate template) {
        return new JsonParser(template).parse();
    }
}
