package eu.jonahbauer.json.token;

import org.jetbrains.annotations.NotNull;

@SuppressWarnings("java:S6548")
public enum JsonNull implements JsonToken, JsonTokenKind {
    NULL;

    @Override
    public @NotNull String toString() {
        return "null";
    }

    @Override
    public @NotNull JsonNull getKind() {
        return this;
    }
}
