package eu.jonahbauer.json.token;

import eu.jonahbauer.json.token.impl.ComplexTokenKind;
import org.jetbrains.annotations.NotNull;

public record JsonPlaceholder(Object value) implements JsonToken {
    public static final JsonTokenKind KIND = ComplexTokenKind.PLACEHOLDER;

    @Override
    public @NotNull JsonTokenKind getKind() {
        return KIND;
    }
}
