plugins {
    `java-library`
}

group = "eu.jonahbauer"
version = "1.0-SNAPSHOT"
description = "json"

java {
    toolchain {
        version = 21
    }
}

repositories {
    mavenLocal()
    mavenCentral()
}

dependencies {
    api(libs.annotations)
    compileOnly(libs.lombok)
    annotationProcessor(libs.lombok)
    testImplementation(libs.bundles.junit)
}

tasks {
    withType<JavaCompile> {
        options.encoding = "UTF-8"
        options.compilerArgs.add("--enable-preview")
    }

    withType<Test> {
        useJUnitPlatform()
        jvmArgs("--enable-preview")
    }
}