package eu.jonahbauer.json.token;

import eu.jonahbauer.json.JsonBoolean;
import eu.jonahbauer.json.JsonNumber;
import eu.jonahbauer.json.JsonString;
import org.jetbrains.annotations.NotNull;

public sealed interface JsonToken permits JsonBoolean, JsonNull, JsonNumber, JsonString, JsonPlaceholder, JsonPunctuation, JsonStringTemplate {

    @NotNull JsonTokenKind getKind();

}
